std::uniform_int_distribution::uniform_int_distribution(3)

NAME
std::uniform_int_distribution::uniform_int_distribution - std::uniform_int_distribution::uniform_int_distribution

Synopsis
   uniform_int_distribution() : uniform_int_distribution(0) { } (1) (since C++11)
   explicit uniform_int_distribution( IntType a, (2) (since C++11)
   IntType b = std::numeric_limits<IntType>::max() );
   explicit uniform_int_distribution( const param_type& params ); (3) (since C++11)
   Constructs new distribution object. (2) uses a and b as the distribution parameters,
   (3) uses params as the distribution parameters.
   The behavior is undefined if a>b.

Parameters
   a - the a distribution parameter (minimum value)
   b - the b distribution parameter (maximum value)
   params - the distribution parameter set
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
   P0935R0 C++11 default constructor was explicit made implicit